class CreateLoanApplications < ActiveRecord::Migration[5.2]
  def change
    create_table :loan_applications do |t|
      t.references :user, foreign_key: true
      t.references :product, foreign_key: true
      t.decimal :loan_amount, null: false, default: 0.0000, scale: 4, precision: 18
      t.decimal :instalment, null: false, default: 0.0000, scale: 4, precision: 18
      t.decimal :interest, null: false, default: 0.0, scale: 1, precision: 12
      t.integer :tenor, null: false
      t.string :loan_purpose, null: false
      t.string :collateral, null: false
      t.string :calculation_mode, null: false
      t.boolean :submitted, default: false
      t.boolean :approved, default: false
      t.string :approval_confirmation
      t.boolean :closed, default: false

      t.timestamps
    end
  end
end