class CreateCustomers < ActiveRecord::Migration[5.2]
  def change
    create_table :customers do |t|
      t.references :loan_application, foreign_key: true
      # Personal Details
      t.references :customer_type, foreign_key: true
      t.string :firstname
      t.string :lastname
      t.string :customer_name, null: false
      t.string :idnumber
      t.date :dob
      t.string :nationality
      t.string :property_ownership
      t.string :gender
      # Contact Details
      t.string :address_1
      t.string :address_2
      t.string :city
      t.string :country
      t.string :mobile_1, null: false
      t.string :mobile_2
      t.string :email, null: false
      t.string :district
      t.string :province
      # Employment Details
      t.string :employer_name
      t.string :employment_type
      t.string :ec_number
      t.string :department
      t.string :job_title
      # Banker Details
      t.string :banker
      t.string :banker_branch
      t.string :banker_account_number
      t.string :banker_account_name

      t.timestamps
    end
    add_index :customers, :customer_name, unique: true
    add_index :customers, :email, unique: true
  end
end

